Ignore:
Timestamp:
Oct 15, 2013 12:07:35 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/releases/1.4.2/configure

    r2922 r2979  
    10891089                          (implies --disable-shared)
    10901090  --enable-debug-hsl compile project HSL with debug compiler flags
    1091   --enable-doscompile     Under Cygwin, compile so that executables run under
    1092                           DOS. Set to mingw to use gcc/g++/ld with
    1093                           -mno-cygwin. Set to msvc to use cl/link (or
    1094                           icl/link). Default when mentioned: mingw. Default
    1095                           when not mentioned: disabled.
     1091
     1092  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10961093  --disable-pkg-config    disable use of pkg-config (if available)
    10971094  --enable-static[=PKGS]
     
    19021899
    19031900# Get the name of the C compiler (for a dummy program)
    1904 case $build in
     1901
     1902
     1903  # for backward compatibility
     1904  # Check whether --enable-doscompile or --disable-doscompile was given.
     1905if test "${enable_doscompile+set}" = set; then
     1906  enableval="$enable_doscompile"
     1907  enable_doscompile=$enableval
     1908else
     1909  enable_doscompile=no
     1910fi;
     1911
     1912  # Check whether --enable-msvc or --disable-msvc was given.
     1913if test "${enable_msvc+set}" = set; then
     1914  enableval="$enable_msvc"
     1915  enable_msvc=$enableval
     1916else
     1917  enable_msvc=no
     1918     if test "$enable_doscompile" = msvc ; then
     1919       enable_msvc=yes
     1920     elif test "$enable_doscompile" != no ; then
     1921       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1922echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1923   { (exit 1); exit 1; }; }
     1924     fi
     1925
     1926fi;
     1927
     1928  if test "$enable_msvc" = yes; then
     1929    case $build in
     1930      *-cygwin* | *-mingw*) ;;
     1931      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1932echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1933   { (exit 1); exit 1; }; } ;;
     1934    esac
     1935  fi
     1936
     1937
     1938 case $build in
    19051939  *-mingw*)
    19061940    if test "${LD+set}" = set; then :; else
     
    19091943    ;;
    19101944 esac
    1911  case $enable_doscompile in
    1912    msvc)
    1913      if test "x${LD+set}" = xset; then :; else
    1914        LD=link
    1915      fi
    1916      ;;
    1917  esac
    1918 
    1919 
    1920  # Check whether --enable-doscompile or --disable-doscompile was given.
    1921 if test "${enable_doscompile+set}" = set; then
    1922   enableval="$enable_doscompile"
    1923   if test "$enable_doscompile" != no; then
    1924      case $build in
    1925        *-cygwin* | *-mingw*) ;;
    1926        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1927 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1928    { (exit 1); exit 1; }; } ;;
    1929      esac
     1945 if test $enable_msvc = yes ; then
     1946   if test "x${LD+set}" = xset; then :; else
     1947     LD=link
    19301948   fi
    1931 else
    1932   enable_doscompile=no
    1933 fi;
    1934  case "$enable_doscompile" in
    1935    mingw)
    1936      case $build in
    1937        *-mingw*) enable_doscompile=no ;;
    1938      esac
    1939      ;;
    1940    msvc|no) ;;
    1941    yes) enable_doscompile=mingw ;;
    1942    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1943                     Try configure --help=recursive." >&5
    1944 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1945                     Try configure --help=recursive." >&2;}
    1946    { (exit 1); exit 1; }; }
    1947       ;;
    1948   esac
    1949   if test "$enable_doscompile" != no ; then
    1950     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1951 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1952   fi
     1949 fi
    19531950
    19541951
     
    19931990case $build in
    19941991  *-cygwin* | *-mingw*)
    1995              if test "$enable_doscompile" = msvc ; then
    1996                comps="icl cl"
     1992             if test "$enable_msvc" = yes ; then
     1993               comps="icl cl gcc"
    19971994             else
    1998                comps="gcc cl"
     1995               comps="gcc icl cl"
    19991996             fi ;;
    20001997  *-*-solaris*)
     
    28492846            ;;
    28502847        esac
    2851         case $enable_doscompile in
    2852           mingw)
    2853             CFLAGS="-mno-cygwin"
    2854             cat >conftest.$ac_ext <<_ACEOF
    2855 /* confdefs.h.  */
    2856 _ACEOF
    2857 cat confdefs.h >>conftest.$ac_ext
    2858 cat >>conftest.$ac_ext <<_ACEOF
    2859 /* end confdefs.h.  */
    2860 
    2861 int
    2862 main ()
    2863 {
    2864 int i=0; i++;
    2865   ;
    2866   return 0;
    2867 }
    2868 _ACEOF
    2869 rm -f conftest.$ac_objext conftest$ac_exeext
    2870 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2871   (eval $ac_link) 2>conftest.er1
    2872   ac_status=$?
    2873   grep -v '^ *+' conftest.er1 >conftest.err
    2874   rm -f conftest.er1
    2875   cat conftest.err >&5
    2876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2877   (exit $ac_status); } &&
    2878          { ac_try='test -z "$ac_c_werror_flag"
    2879                          || test ! -s conftest.err'
    2880   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2881   (eval $ac_try) 2>&5
    2882   ac_status=$?
    2883   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2884   (exit $ac_status); }; } &&
    2885          { ac_try='test -s conftest$ac_exeext'
    2886   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2887   (eval $ac_try) 2>&5
    2888   ac_status=$?
    2889   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2890   (exit $ac_status); }; }; then
    2891   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2892 else
    2893   echo "$as_me: failed program was:" >&5
    2894 sed 's/^/| /' conftest.$ac_ext >&5
    2895 
    2896 fi
    2897 rm -f conftest.err conftest.$ac_objext \
    2898       conftest$ac_exeext conftest.$ac_ext
    2899             CFLAGS=
    2900           ;;
    2901         esac
    29022848    esac
    29032849  fi
     
    32403186  clang* ) ;;
    32413187  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3242     case $build in
     3188
     3189 case $build in
    32433190  *-mingw*)
    32443191    if test "${LD+set}" = set; then :; else
     
    32473194    ;;
    32483195 esac
    3249  case $enable_doscompile in
    3250    msvc)
    3251      if test "x${LD+set}" = xset; then :; else
    3252        LD=link
    3253      fi
    3254      ;;
    3255  esac
     3196 if test $enable_msvc = yes ; then
     3197   if test "x${LD+set}" = xset; then :; else
     3198     LD=link
     3199   fi
     3200 fi
    32563201
    32573202    ;;
     
    32693214case $build in
    32703215  *-cygwin* | *-mingw*)
    3271      if test "$enable_doscompile" = msvc ; then
    3272        coin_f77_comps="ifort fl32 compile_f2c"
     3216     if test "$enable_msvc" = yes ; then
     3217       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32733218     else
    32743219       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34953440
    34963441# Provide some information about the compiler.
    3497 echo "$as_me:3497:" \
     3442echo "$as_me:3442:" \
    34983443     "checking for Fortran 77 compiler version" >&5
    34993444ac_compiler=`set X $ac_compile; echo $2`
     
    36643609    coin_add_fflags="-pipe"
    36653610    coin_dbg_fflags="-g -O0"
    3666     case $enable_doscompile in
    3667       mingw)
    3668         FFLAGS="-mno-cygwin"
    3669         cat >conftest.$ac_ext <<_ACEOF
    3670       program main
    3671       write(*,*) 'Hello world'
    3672       end
    3673 _ACEOF
    3674 rm -f conftest.$ac_objext conftest$ac_exeext
    3675 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3676   (eval $ac_link) 2>conftest.er1
    3677   ac_status=$?
    3678   grep -v '^ *+' conftest.er1 >conftest.err
    3679   rm -f conftest.er1
    3680   cat conftest.err >&5
    3681   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3682   (exit $ac_status); } &&
    3683          { ac_try='test -z "$ac_f77_werror_flag"
    3684                          || test ! -s conftest.err'
    3685   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3686   (eval $ac_try) 2>&5
    3687   ac_status=$?
    3688   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3689   (exit $ac_status); }; } &&
    3690          { ac_try='test -s conftest$ac_exeext'
    3691   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3692   (eval $ac_try) 2>&5
    3693   ac_status=$?
    3694   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3695   (exit $ac_status); }; }; then
    3696   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3697 else
    3698   echo "$as_me: failed program was:" >&5
    3699 sed 's/^/| /' conftest.$ac_ext >&5
    3700 
    3701 fi
    3702 rm -f conftest.err conftest.$ac_objext \
    3703       conftest$ac_exeext conftest.$ac_ext
    3704         FFLAGS=
    3705       ;;
    3706     esac
    37073611  else
    37083612    case $build in
     
    39963900case "$F77" in
    39973901  ifort* | */ifort* | IFORT* | */IFORT*)
    3998     case $build in
     3902
     3903 case $build in
    39993904  *-mingw*)
    40003905    if test "${LD+set}" = set; then :; else
     
    40033908    ;;
    40043909 esac
    4005  case $enable_doscompile in
    4006    msvc)
    4007      if test "x${LD+set}" = xset; then :; else
    4008        LD=link
    4009      fi
    4010      ;;
    4011  esac
     3910 if test $enable_msvc = yes ; then
     3911   if test "x${LD+set}" = xset; then :; else
     3912     LD=link
     3913   fi
     3914 fi
    40123915
    40133916    ;;
     
    42744177ac_save_FFLAGS=$FFLAGS
    42754178FFLAGS="$FFLAGS $ac_verb"
    4276 (eval echo $as_me:4276: \"$ac_link\") >&5
     4179(eval echo $as_me:4179: \"$ac_link\") >&5
    42774180ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42784181echo "$ac_f77_v_output" >&5
     
    43524255ac_save_FFLAGS=$FFLAGS
    43534256FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4354 (eval echo $as_me:4354: \"$ac_link\") >&5
     4257(eval echo $as_me:4257: \"$ac_link\") >&5
    43554258ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43564259echo "$ac_f77_v_output" >&5
     
    52305133
    52315134# Provide some information about the compiler.
    5232 echo "$as_me:5232:" \
     5135echo "$as_me:5135:" \
    52335136     "checking for Fortran compiler version" >&5
    52345137ac_compiler=`set X $ac_compile; echo $2`
     
    70186921*-*-irix6*)
    70196922  # Find out which ABI we are using.
    7020   echo '#line 7020 "configure"' > conftest.$ac_ext
     6923  echo '#line 6923 "configure"' > conftest.$ac_ext
    70216924  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    70226925  (eval $ac_compile) 2>&5
     
    94959398   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94969399   -e 's:$: $lt_compiler_flag:'`
    9497    (eval echo "\"\$as_me:9497: $lt_compile\"" >&5)
     9400   (eval echo "\"\$as_me:9400: $lt_compile\"" >&5)
    94989401   (eval "$lt_compile" 2>conftest.err)
    94999402   ac_status=$?
    95009403   cat conftest.err >&5
    9501    echo "$as_me:9501: \$? = $ac_status" >&5
     9404   echo "$as_me:9404: \$? = $ac_status" >&5
    95029405   if (exit $ac_status) && test -s "$ac_outfile"; then
    95039406     # The compiler can only warn and ignore the option if not recognized
     
    97639666   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97649667   -e 's:$: $lt_compiler_flag:'`
    9765    (eval echo "\"\$as_me:9765: $lt_compile\"" >&5)
     9668   (eval echo "\"\$as_me:9668: $lt_compile\"" >&5)
    97669669   (eval "$lt_compile" 2>conftest.err)
    97679670   ac_status=$?
    97689671   cat conftest.err >&5
    9769    echo "$as_me:9769: \$? = $ac_status" >&5
     9672   echo "$as_me:9672: \$? = $ac_status" >&5
    97709673   if (exit $ac_status) && test -s "$ac_outfile"; then
    97719674     # The compiler can only warn and ignore the option if not recognized
     
    98679770   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98689771   -e 's:$: $lt_compiler_flag:'`
    9869    (eval echo "\"\$as_me:9869: $lt_compile\"" >&5)
     9772   (eval echo "\"\$as_me:9772: $lt_compile\"" >&5)
    98709773   (eval "$lt_compile" 2>out/conftest.err)
    98719774   ac_status=$?
    98729775   cat out/conftest.err >&5
    9873    echo "$as_me:9873: \$? = $ac_status" >&5
     9776   echo "$as_me:9776: \$? = $ac_status" >&5
    98749777   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    98759778   then
     
    1228412187  lt_status=$lt_dlunknown
    1228512188  cat > conftest.$ac_ext <<EOF
    12286 #line 12286 "configure"
     12189#line 12189 "configure"
    1228712190#include "confdefs.h"
    1228812191
     
    1238412287  lt_status=$lt_dlunknown
    1238512288  cat > conftest.$ac_ext <<EOF
    12386 #line 12386 "configure"
     12289#line 12289 "configure"
    1238712290#include "confdefs.h"
    1238812291
     
    1474414647   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1474514648   -e 's:$: $lt_compiler_flag:'`
    14746    (eval echo "\"\$as_me:14746: $lt_compile\"" >&5)
     14649   (eval echo "\"\$as_me:14649: $lt_compile\"" >&5)
    1474714650   (eval "$lt_compile" 2>conftest.err)
    1474814651   ac_status=$?
    1474914652   cat conftest.err >&5
    14750    echo "$as_me:14750: \$? = $ac_status" >&5
     14653   echo "$as_me:14653: \$? = $ac_status" >&5
    1475114654   if (exit $ac_status) && test -s "$ac_outfile"; then
    1475214655     # The compiler can only warn and ignore the option if not recognized
     
    1484814751   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1484914752   -e 's:$: $lt_compiler_flag:'`
    14850    (eval echo "\"\$as_me:14850: $lt_compile\"" >&5)
     14753   (eval echo "\"\$as_me:14753: $lt_compile\"" >&5)
    1485114754   (eval "$lt_compile" 2>out/conftest.err)
    1485214755   ac_status=$?
    1485314756   cat out/conftest.err >&5
    14854    echo "$as_me:14854: \$? = $ac_status" >&5
     14757   echo "$as_me:14757: \$? = $ac_status" >&5
    1485514758   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1485614759   then
     
    1641816321   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1641916322   -e 's:$: $lt_compiler_flag:'`
    16420    (eval echo "\"\$as_me:16420: $lt_compile\"" >&5)
     16323   (eval echo "\"\$as_me:16323: $lt_compile\"" >&5)
    1642116324   (eval "$lt_compile" 2>conftest.err)
    1642216325   ac_status=$?
    1642316326   cat conftest.err >&5
    16424    echo "$as_me:16424: \$? = $ac_status" >&5
     16327   echo "$as_me:16327: \$? = $ac_status" >&5
    1642516328   if (exit $ac_status) && test -s "$ac_outfile"; then
    1642616329     # The compiler can only warn and ignore the option if not recognized
     
    1652216425   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1652316426   -e 's:$: $lt_compiler_flag:'`
    16524    (eval echo "\"\$as_me:16524: $lt_compile\"" >&5)
     16427   (eval echo "\"\$as_me:16427: $lt_compile\"" >&5)
    1652516428   (eval "$lt_compile" 2>out/conftest.err)
    1652616429   ac_status=$?
    1652716430   cat out/conftest.err >&5
    16528    echo "$as_me:16528: \$? = $ac_status" >&5
     16431   echo "$as_me:16431: \$? = $ac_status" >&5
    1652916432   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1653016433   then
     
    1872918632   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1873018633   -e 's:$: $lt_compiler_flag:'`
    18731    (eval echo "\"\$as_me:18731: $lt_compile\"" >&5)
     18634   (eval echo "\"\$as_me:18634: $lt_compile\"" >&5)
    1873218635   (eval "$lt_compile" 2>conftest.err)
    1873318636   ac_status=$?
    1873418637   cat conftest.err >&5
    18735    echo "$as_me:18735: \$? = $ac_status" >&5
     18638   echo "$as_me:18638: \$? = $ac_status" >&5
    1873618639   if (exit $ac_status) && test -s "$ac_outfile"; then
    1873718640     # The compiler can only warn and ignore the option if not recognized
     
    1899718900   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1899818901   -e 's:$: $lt_compiler_flag:'`
    18999    (eval echo "\"\$as_me:18999: $lt_compile\"" >&5)
     18902   (eval echo "\"\$as_me:18902: $lt_compile\"" >&5)
    1900018903   (eval "$lt_compile" 2>conftest.err)
    1900118904   ac_status=$?
    1900218905   cat conftest.err >&5
    19003    echo "$as_me:19003: \$? = $ac_status" >&5
     18906   echo "$as_me:18906: \$? = $ac_status" >&5
    1900418907   if (exit $ac_status) && test -s "$ac_outfile"; then
    1900518908     # The compiler can only warn and ignore the option if not recognized
     
    1910119004   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1910219005   -e 's:$: $lt_compiler_flag:'`
    19103    (eval echo "\"\$as_me:19103: $lt_compile\"" >&5)
     19006   (eval echo "\"\$as_me:19006: $lt_compile\"" >&5)
    1910419007   (eval "$lt_compile" 2>out/conftest.err)
    1910519008   ac_status=$?
    1910619009   cat out/conftest.err >&5
    19107    echo "$as_me:19107: \$? = $ac_status" >&5
     19010   echo "$as_me:19010: \$? = $ac_status" >&5
    1910819011   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1910919012   then
     
    2280422707# Try to autodetect the library for blas based on build system
    2280522708  #AC_MSG_CHECKING([default locations for BLAS])
    22806   skip_lblas_check=no
    2280722709  case $build in
    2280822710    *-sgi-*)
     
    2360723509
    2360823510    *-cygwin* | *-mingw*)
    23609 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    23610 # library will want to link with cygwin, hence won't run standalone in DOS.
    23611       if test "$enable_doscompile" = mingw; then
    23612         skip_lblas_check=yes
    23613       fi
    2361423511      case "$CC" in
    2361523512        clang* ) ;;
     
    2477524672  esac
    2477624673
    24777   if test -z "$use_blas" && test $skip_lblas_check = no; then
     24674  if test -z "$use_blas" ; then
    2477824675    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2477924676echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2646126358echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2646226359coin_link_input_cmd="$LN_S"
    26463 if test "$enable_doscompile" = mingw; then
    26464   coin_link_input_cmd=cp
    26465 fi
    2646626360case "$CC" in
    2646726361  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.